<?php
// Add custom Theme Functions here

/**
 * Custom currency and currency symbol
 */
add_filter( 'woocommerce_currencies', 'add_my_currency' );

function add_my_currency( $currencies ) {
     $currencies['EURHTMOIS'] = __( 'HT par mois', 'woocommerce' );
     return $currencies;
}

add_filter('woocommerce_currency_symbol', 'add_my_currency_symbol', 10, 2);

function add_my_currency_symbol( $currency_symbol, $currency ) {
     switch( $currency ) {
          case 'EURHTMOIS': $currency_symbol = '€ HT/mois'; break;
     }
     return $currency_symbol;
}


/*
Code récupéré ici : https://wpmarmite.com/snippet/a-partir-de-produit-variable-woocommerce/
Il à été modifié pour afficher tout le temps "A partir de" meme si le produit n'est pas à prix variable
*/
/* Afficher "À partir de" pour les produits variables */
add_filter( 'woocommerce_variable_sale_price_html', 'wpm_variation_price_format', 10, 2 );
add_filter( 'woocommerce_variable_price_html', 'wpm_variation_price_format', 10, 2 );

function wpm_variation_price_format( $price, $product ) {
	//On récupère le prix min et max du produit variable
	$min_price = $product->get_variation_price( 'min', true );
	$max_price = $product->get_variation_price( 'max', true );

	// Si les prix sont différents on affiche "À partir de ..."
	if ($min_price != $max_price){
		$price = sprintf( __( 'A partir de %1$s', 'woocommerce' ), wc_price( $min_price ) );
		return $price;
	// Sinon on affiche juste le prix
	} else {
		$price = sprintf( __( 'A partir de %1$s', 'woocommerce' ), wc_price( $min_price ) );
		return $price;
	}
}

// Meme role qu'au dessus https://www.cloudways.com/blog/change-woocommerce-price-display/
function cw_change_product_price_display( $price ) {
    $price = '<span style="color:black;">À partir de '.$price."</span>";
    return $price;
  }
  add_filter( 'woocommerce_get_price_html', 'cw_change_product_price_display' );
  add_filter( 'woocommerce_cart_item_price', 'cw_change_product_price_display' );

/**
 * Run shortcodes on HTML field content.
 * Utilisé pour afficher la liste de souhait dans le formulaire de demande de devis
 *
 * @link   https://wpforms.com/developers/how-to-display-shortcodes-inside-the-html-field/
 *
 */
/*function wpf_dev_html_field_shortcodes( $field, $field_atts, $form_data ) {

    if ( ! empty( $field['code'] ) ) {
        $field['code'] = do_shortcode( $field['code'] );
    }
    return $field;
}
add_filter( 'wpforms_html_field_display', 'wpf_dev_html_field_shortcodes', 10, 3 );*/
